Support Center

 Knowledgebase
Support Center
Technical Requirements
February 10 2015 09:07 AM

The eBooks platform is compatible with all current Web browsers.

Adobe PDF Reader must be installed to view eBook content in PDF mode. For the best performance, the following system requirements are recommended:

Compatible Browsers:

  • Microsoft Internet Explorer 8 or higher (32 bit versions)
  • Firefox 19 or higher
  • Chrome 9 or higher
  • Safari 5 or higher

Operating Systems:

  • Microsoft Windows XP, Vista or 7
  • Mac OSX or Higher

PDF Plugins:

  • Adobe Reader X1 plugin (11.0.3) for Windows
  • Adobe Reader 11 plugin (11.0.3) for MAC

Other:

  • Broadband Internet connection
  • Monitor resolution of 1024 x 768 or higher
(1 vote(s))
Helpful
Not helpful